// default settings. fis3 release

// Global start
fis.match('!js/lib/**.{js,css}', {
    useHash: true
});

fis.match('view/user/login.html', {
    useHash: false
});

fis.match('*.html', {
    useMap: true
})

fis.match('::image', {
    useHash: false
});

fis.match('*.js', {
    optimizer: fis.plugin('uglify-js')
});

fis.match('*.css', {
    optimizer: fis.plugin('clean-css')
});

fis.match('*.png', {
    optimizer: fis.plugin('png-compressor')
});

Date.prototype.Format = function (fmt) { //author: meizz 
    var o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "H+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}
fis.set('date', new Date().Format("yyyyMMddHHmmss"));

fis.match('*.{js,css,png}', {
    query: '?time=' + fis.get('date')
});

// Global end
// default media is `dev`
fis.media('dev')
    .match('*', {
        useHash: false,
        optimizer: null
    });

// extends GLOBAL config
fis.media('prod').match('*', {
        optimizer: null
    });